xmltooling 3.2.4

Public Member Functions | List of all members
xmltooling::StorageService::Capabilities Class Reference

## Public Member Functions
| Capabilities (unsigned int contextSize, unsigned int keySize, unsigned int stringSize)
| Constructor.
unsigned int | getContextSize () const
| Returns max size of context labels in characters.
unsigned int | getKeySize () const
| Returns max size of keys in characters.
unsigned int | getStringSize () const
| Returns max size of string values in characters.

## Constructor & Destructor Documentation

## ◆ Capabilities()

xmltooling::StorageService::Capabilities::Capabilities | ( | unsigned int | contextSize,
|  | unsigned int | keySize,
|  | unsigned int | stringSize )

Constructor.

Parameters

  contextSize | max size of context labels in characters
  keySize | max size of keys in characters
  stringSize | max size of string values in characters

## Member Function Documentation

## ◆ getContextSize()

unsigned int xmltooling::StorageService::Capabilities::getContextSize | ( |  | ) | const

Returns max size of context labels in characters.

Returns
  max size of context labels in characters

## ◆ getKeySize()

unsigned int xmltooling::StorageService::Capabilities::getKeySize | ( |  | ) | const

Returns max size of keys in characters.

Returns
  max size of keys in characters

## ◆ getStringSize()

unsigned int xmltooling::StorageService::Capabilities::getStringSize | ( |  | ) | const

Returns max size of string values in characters.

Returns
  max size of string values in characters

The documentation for this class was generated from the following file:

- xmltooling/util/StorageService.h